## pytables 3.2.1

=== debian/changelog ===
pytables (3.2.1-1~nd90+1) stretch; urgency=low

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 14 Aug 2015 19:15:11 -0400

pytables (3.2.1-1) unstable; urgency=medium

  * New upstream version
  * Fix debian/watch file
  * Update copyright file
  * Update authors in debian/python-tables-doc.doc-base
  * debian/control
    - updated dependencies versions
    - added build-dependeny from setuptools
    - stamdards version bumped to 3.9.6 (no change)
    - update vcs URLs to the new recommended format
    - remove deprecated XS-Testsuite field
    - general update and reformatting (suggested by cme fix dpkg-control)
    - run tests with utf-8 locale (patch form Barry Warsaw <barry@ubuntu.com>)
  * debian/rules
    - make build reproducible
  * debian/patches
    - refresh all patches
    - drop 0003-Better-control-of-verbosity-in-unittests.patch
      (applied upstream)
    - drop 0006-fix-an-import-issue-with-cython-newer-than-0.20.2.patch
      (applied upstream)
    - drop 0007-Temporay-desable-tests-that-use-the-lz4-conpressor.patch
      no longer needed.
      The issue with lz4 compressor on s39x has been fixed in lz4_0.0~r122-1.
    - new 0005-Fix-setitem-return-value.patch patch for Python 3.5 compatibility
      (patch form Barry Warsaw <barry@ubuntu.com>). Closes: #795333.
  * README.txt has been renamed into README.rst upsream.
    Updated python-pytables*.docs files.
  * New manpage for the pttree utility

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 14 Aug 2015 19:42:08 +0000

pytables (3.1.1-3) unstable; urgency=medium

  * New patch:
    0007-Temporay-desable-tests-that-use-the-lz4-conpressor.patch
    The patch temporay desables tests that use the lz4 conpressor
    on the s390x platform (see #757581 for more details).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 15 Aug 2014 07:37:41 +0000

pytables (3.1.1-2) unstable; urgency=medium

  * Support hdf5 1.8.13 new packaging layout (Closes: #756694)
  * debian/patches
    - new patch that fixes an import issue with cython > 0.20.2
  * debian/control
    - added an explicit build dependency from dh-python

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 04 Aug 2014 21:29:17 +0000

pytables (3.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - debug package now depend on python(3)-dbg, python(3)-numpy-dbg,
      pyhon(3)-numexpr-dbg instead of recommending them
      (Closes: #742557)
    - use versioned dependency for lzo (>= 0.0~r114) since one of the
      symbols used in blosc is missing in earlier versions
  * debian/patches
    - new patch (0003-Better-control-of-verbosity-in-unittests.patch)
      for better control of verbosity in unittests
    - new patch 0005-Do-not-fetch-icons-for-external-web-sites.patch
      to avoid fetching data from external web sites in html pages of
      the doc
    - the 0003-Only-use-msse2-flag-on-x86_64.patch has been updated
      after the upstream changes and renamed into
      0004-Never-use-the-msse2-flag-explicitly.patch
    - all remaining patches has been refreshed

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 12 Apr 2014 19:02:49 +0000

=== debian/control ===
Source: pytables
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               locales,
               libhdf5-dev,
               python-all-dev,
               python-all-dbg,
               python3-all-dev,
               python3-all-dbg,
               python-setuptools,
               python3-setuptools,
               python-numpy,
               python-numpy-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python-numexpr,
               python-numexpr-dbg,
               python3-numexpr,
               python3-numexpr-dbg,
               cython (>= 0.14),
               cython-dbg,
               cython3,
               cython3-dbg,
               zlib1g-dev,
               liblzo2-dev,
               liblz4-dev (>= 0.0~r122),
               libsnappy-dev,
               libbz2-dev,
               python-sphinx (>= 1.0.7+dfsg),
               texlive-latex-recommended,
               texlive-latex-extra,
               texlive-fonts-recommended,
               libjs-jquery-cookie
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pytables.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/pytables.git
Homepage: http://www.pytables.org
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-tables
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-tables-lib (>= ${source:Version}),
         python-tables-lib (<< ${source:Version}.1~),
         python-tables-data (= ${source:Version}),
         python-numexpr
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc,
          python-netcdf,
          ${shlibs:Suggests},
          vitables
Description: hierarchical database for Python based on HDF5
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This is the Python 2 version of the package.

Package: python-tables-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: ${shlibs:Recommends},
            python-tables (= ${source:Version})
Breaks: python-tables (<< 3.0.0-3)
Replaces: python-tables (<< 3.0.0-3)
Description: hierarchical database for Python based on HDF5 (extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python 2 interpreter.

Package: python-tables-dbg
Architecture: any
Section: debug
Priority: extra
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-tables (= ${source:Version}),
         python-tables-lib (= ${binary:Version}),
         python-dbg,
         python-numpy-dbg,
         python-numexpr-dbg
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc,
          python-netcdf,
          ${shlibs:Suggests}
Description: hierarchical database for Python based on HDF5 (debug extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python 2 debug interpreter.

Package: python3-tables
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-tables-lib (>= ${source:Version}),
         python3-tables-lib (<< ${source:Version}.1~),
         python-tables-data (= ${source:Version}),
         python3-numexpr
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc,
          python-netcdf,
          ${shlibs:Suggests},
          vitables
Description: hierarchical database for Python3 based on HDF5
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This is the Python 3 version of the package.

Package: python3-tables-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: ${shlibs:Recommends},
            python3-tables (= ${source:Version})
Breaks: python3-tables (<< 3.0.0-3)
Replaces: python3-tables (<< 3.0.0-3)
Description: hierarchical database for Python3 based on HDF5 (extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python 3 interpreter.

Package: python3-tables-dbg
Architecture: any
Section: debug
Priority: extra
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-tables (= ${source:Version}),
         python3-tables-lib (= ${binary:Version}),
         python3-dbg,
         python3-numpy-dbg,
         python3-numexpr-dbg
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc,
          python-netcdf,
          ${shlibs:Suggests}
Description: hierarchical database for Python 3 based on HDF5 (debug extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-tables-doc
Architecture: all
Section: doc
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-jquery-cookie
Suggests: xpdf | pdf-viewer,
          www-browser
Description: hierarchical database for Python based on HDF5 - documentation
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
 This package includes the manual in PDF and HTML formats.

Package: python-tables-data
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: hierarchical database for Python based on HDF5 - test data
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
 This package includes daya fils used for unit testing.

## pytables 3.2.2

=== Makefile ===
# This Makefile is only intended to prepare for distribution the PyTables
# sources exported from a repository.  For building and installing PyTables,
# please use ``setup.py`` as described in the ``README.rst`` file.

VERSION = $(shell cat VERSION)
SRCDIRS = src doc
GENERATED = ANNOUNCE.txt
PYTHON = python
PYPLATFORM = $(shell $(PYTHON) -c "from distutils.util import get_platform; print(get_platform())")
PYVER = $(shell $(PYTHON) -V 2>&1 | cut -c 8-10)
PYBUILDDIR = $(PWD)/build/lib.$(PYPLATFORM)-$(PYVER)
OPT = PYTHONPATH=$(PYBUILDDIR)


.PHONY:		all dist build check heavycheck clean distclean html

all:		$(GENERATED) build
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done

dist:		all
	$(PYTHON) setup.py sdist
	cd dist && md5sum tables-$(VERSION).tar.gz > pytables-$(VERSION).md5 && cd -
	cp RELEASE_NOTES.txt dist/RELEASE_NOTES-$(VERSION).txt
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done

clean:
	rm -rf MANIFEST build dist tmp tables/__pycache__
	rm -rf bench/*.h5 bench/*.prof
	rm -rf examples/*.h5 examples/raw
	rm -f $(GENERATED) tables/*.so a.out
	find . '(' -name '*.py[co]' -o -name '*~' ')' -exec rm '{}' ';'
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done

distclean:	clean
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done
	rm -f tables/_comp_*.c tables/*extension.c
	#git clean -fdx

html: build
	$(MAKE) -C doc $(OPT) html

%:		%.in VERSION
	cat "$<" | sed -e 's/@VERSION@/$(VERSION)/g' > "$@"

build:
	$(PYTHON) setup.py build

check: build
	cd build/lib.*-$(PYVER) && env PYTHONPATH=. $(PYTHON) tables/tests/test_all.py

heavycheck: build
	cd build/lib.*-$(PYVER) && env PYTHONPATH=. $(PYTHON) tables/tests/test_all.py --heavy

=== requirements.txt ===
# Keep in sync with tables/req_versions.py, README.rst and
# doc/source/usersguide/installation.rst
numpy>=1.7.1
numexpr>=2.4

=== c-blosc/CMakeLists.txt ===
# CMake build system for Blosc
# ============================
#
# Available options:
#
#   BUILD_STATIC: default ON
#       build the static version of the Blosc library
#   BUILD_HDF5_FILTER: default OFF
#       build the compression filter for the HDF5 library
#   BUILD_TESTS: default ON
#       build test programs and generates the "test" target
#   BUILD_BENCHMARKS: default ON
#       build the benchmark program
#   DEACTIVATE_LZ4: default OFF
#       do not include support for the LZ4 library
#   DEACTIVATE_SNAPPY: default OFF
#       do not include support for the Snappy library
#   DEACTIVATE_ZLIB: default OFF
#       do not include support for the Zlib library
#   PREFER_EXTERNAL_COMPLIBS: default ON
#       when found, use the installed compression libs instead of included sources
#   TEST_INCLUDE_BENCH_SINGLE_1: default ON
#       add a test that runs the benchmark program passing "single" with 1 thread
#       as first parameter
#   TEST_INCLUDE_BENCH_SINGLE_N: default ON
#       add a test that runs the benchmark program passing "single" with all threads
#       as first parameter
#   TEST_INCLUDE_BENCH_SUITE: default OFF
#       add a test that runs the benchmark program passing "suite"
#       as first parameter
#   TEST_INCLUDE_BENCH_SUITE_PARALLEL: default OFF
#       add a test that runs the benchmark program passing "parallel"
#       as first parameter
#   TEST_INCLUDE_BENCH_HARDSUITE: default OFF
#       add a test that runs the benchmark program passing "hardsuite"
#       as first parameter
#   TEST_INCLUDE_BENCH_EXTREMESUITE: default OFF
#       add a test that runs the benchmark program passing "extremesuite"
#       as first parameter
#   TEST_INCLUDE_BENCH_DEBUGSUITE: default OFF
#       add a test that runs the benchmark program passing "debugsuite"
#       as first parameter
#
# Components:
#
#    LIB: includes blosc.so
#    DEV: static includes blosc.a and blosc.h
#    HDF5_FILTER: includes blosc_filter.so
#    HDF5_FILTER_DEV: includes blosc_filter.h


cmake_minimum_required(VERSION 2.8)
project(blosc)

# parse the full version numbers from blosc.h
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/blosc/blosc.h _blosc_h_contents)
string(REGEX REPLACE ".*#define[ \t]+BLOSC_VERSION_MAJOR[ \t]+([0-9]+).*"
     "\\1" BLOSC_VERSION_MAJOR ${_blosc_h_contents})
string(REGEX REPLACE ".*#define[ \t]+BLOSC_VERSION_MINOR[ \t]+([0-9]+).*"
    "\\1" BLOSC_VERSION_MINOR ${_blosc_h_contents})
string(REGEX REPLACE ".*#define[ \t]+BLOSC_VERSION_RELEASE[ \t]+([0-9]+).*"
    "\\1" BLOSC_VERSION_PATCH ${_blosc_h_contents})
string(REGEX REPLACE ".*#define[ \t]+BLOSC_VERSION_STRING[ \t]+\"([-0-9A-Za-z.]+)\".*"
    "\\1" BLOSC_VERSION_STRING ${_blosc_h_contents})

message("Configuring for Blosc version: " ${BLOSC_VERSION_STRING})

# options
option(BUILD_STATIC
    "Build a static version of the blosc library." ON)
option(BUILD_HDF5_FILTER
    "Build a blosc based compression filter for the HDF5 library" OFF)
option(BUILD_TESTS
    "Build test programs form the blosc compression library" ON)
option(BUILD_BENCHMARKS
    "Build benchmark programs form the blosc compression library" ON)
option(DEACTIVATE_LZ4
    "Do not include support for the LZ4 library." OFF)
option(DEACTIVATE_SNAPPY
    "Do not include support for the SNAPPY library." OFF)
option(DEACTIVATE_ZLIB
    "Do not include support for the ZLIB library." OFF)
option(PREFER_EXTERNAL_COMPLIBS
    "When found, use the installed compression libs instead of included sources." ON)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")


if(NOT PREFER_EXTERNAL_COMPLIBS)
    message(STATUS "Finding external libraries disabled.  Using internal sources.")
endif(NOT PREFER_EXTERNAL_COMPLIBS)


if(NOT DEACTIVATE_LZ4)
    if(PREFER_EXTERNAL_COMPLIBS)
        find_package(LZ4)
    endif(PREFER_EXTERNAL_COMPLIBS)
    # HAVE_LZ4 will be set to true because even if the library is
    # not found, we will use the included sources for it
    set(HAVE_LZ4 TRUE)
endif(NOT DEACTIVATE_LZ4)

if(NOT DEACTIVATE_SNAPPY)
    if(PREFER_EXTERNAL_COMPLIBS)
        find_package(Snappy)
    endif(PREFER_EXTERNAL_COMPLIBS)
    # HAVE_SNAPPY will be set to true because even if the library is not found,
    # we will use the included sources for it
    set(HAVE_SNAPPY TRUE)
endif(NOT DEACTIVATE_SNAPPY)

if(NOT DEACTIVATE_ZLIB)
    # import the ZLIB_ROOT environment variable to help finding the zlib library
    if(PREFER_EXTERNAL_COMPLIBS)
        set(ZLIB_ROOT $ENV{ZLIB_ROOT})
        find_package( ZLIB )
        if (NOT ZLIB_FOUND )
            message(STATUS "No zlib found.  Using internal sources.")
        endif (NOT ZLIB_FOUND )
    endif(PREFER_EXTERNAL_COMPLIBS)
    # HAVE_ZLIB will be set to true because even if the library is not found,
    # we will use the included sources for it
    set(HAVE_ZLIB TRUE)
endif(NOT DEACTIVATE_ZLIB)

# create the config.h file
configure_file ("blosc/config.h.in"  "blosc/config.h" )
# now make sure that you set the build directory on your "Include" path when compiling
include_directories("${PROJECT_BINARY_DIR}/blosc/")

# force the default build type to Release.
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING
        "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
endif(NOT CMAKE_BUILD_TYPE)


# flags
# @TODO: set -Wall
# @NOTE: -O3 is enabled in Release mode (CMAKE_BUILD_TYPE="Release")

# Set the "-msse2" build flag only if the CMAKE_C_FLAGS is not already set.
# Probably "-msse2" should be appended to CMAKE_C_FLAGS_RELEASE.
find_package(SSE)
if(CMAKE_C_COMPILER_ID STREQUAL GNU OR CMAKE_C_COMPILER_ID STREQUAL Clang)
     if(NOT CMAKE_C_FLAGS AND SSE2_TRUE)
         message(STATUS "SSE2 is here.  Adding support for it.")
         set(CMAKE_C_FLAGS -msse2 CACHE STRING "C flags." FORCE)
     endif(NOT CMAKE_C_FLAGS AND SSE2_TRUE)
endif(CMAKE_C_COMPILER_ID STREQUAL GNU OR CMAKE_C_COMPILER_ID STREQUAL Clang)

if(MSVC)
    if(NOT CMAKE_C_FLAGS)
        set(CMAKE_C_FLAGS "/Ox" CACHE STRING "C flags." FORCE)
    endif(NOT CMAKE_C_FLAGS)
endif(MSVC)

if(WIN32)
    # For some supporting headers
    include_directories("${CMAKE_CURRENT_SOURCE_DIR}/blosc")
endif(WIN32)


# subdirectories
add_subdirectory(blosc)

if(BUILD_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif(BUILD_TESTS)

if(BUILD_HDF5_FILTER)
    add_subdirectory(hdf5)
endif(BUILD_HDF5_FILTER)

if(BUILD_BENCHMARKS)
    add_subdirectory(bench)
endif(BUILD_BENCHMARKS)


# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)


# packaging
include(InstallRequiredSystemLibraries)

set(CPACK_GENERATOR TGZ ZIP)
set(CPACK_SOURCE_GENERATOR TGZ ZIP)
set(CPACK_PACKAGE_VERSION_MAJOR ${BLOSC_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${BLOSC_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${BLOSC_VERSION_PATCH})
set(CPACK_PACKAGE_VERSION ${BLOSC_STRING_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.rst")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
    "A blocking, shuffling and lossless compression library")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSES/BLOSC.txt")
set(CPACK_SOURCE_IGNORE_FILES "/build.*;.*~;\\\\.git.*;\\\\.DS_Store")
set(CPACK_STRIP_FILES TRUE)
set(CPACK_SOURCE_STRIP_FILES TRUE)

include(CPack)

=== c-blosc/hdf5/CMakeLists.txt ===
# sources
set(SOURCES blosc_filter.c)

include_directories("${PROJECT_SOURCE_DIR}/blosc")

# dependencies
find_package(HDF5 REQUIRED)
include_directories(HDF5_INCLIDE_DIRS)


# targets
add_library(blosc_filter_shared SHARED ${SOURCES})
set_target_properties(blosc_filter_shared PROPERTIES OUTPUT_NAME blosc_filter)
target_link_libraries(blosc_filter_shared blosc_shared ${HDF5_LIBRARIES})

if(BUILD_STATIC)
    add_library(blosc_filter_static ${SOURCES})
    set_target_properties(
        blosc_filter_static PROPERTIES OUTPUT_NAME blosc_filter)
    target_link_libraries(blosc_filter_static blosc_static)
endif(BUILD_STATIC)


# install
install(FILES blosc_filter.h DESTINATION include COMPONENT HDF5_FILTER_DEV)
install(TARGETS blosc_filter_static DESTINATION lib COMPONENT HDF5_FILTER)
if(BUILD_STATIC)
    install(
        TARGETS blosc_filter_shared DESTINATION lib COMPONENT HDF5_FILTER_DEV)
endif(BUILD_STATIC)


# test
if(BUILD_TESTS)
    add_executable(example example.c)
    target_link_libraries(example blosc_filter_static ${HDF5_LIBRARIES})
    add_test(test_hdf5_filter example)
endif(BUILD_TESTS)

=== c-blosc/tests/CMakeLists.txt ===
# sources
#aux_source_directory(. SOURCES)
file(GLOB SOURCES test_*.c)

# flags
link_directories(${PROJECT_BINARY_DIR}/blosc)

# targets and tests
foreach(source ${SOURCES})
    get_filename_component(target ${source} NAME_WE)
    add_executable(${target} ${source})
    target_link_libraries(${target} blosc_shared)
    add_test(test_${target} ${target})
endforeach(source)

=== c-blosc/tests/Makefile ===
CC=gcc
CFLAGS=-O3 -msse2 -Wall -pthread
LDFLAGS=-pthread
BLOSC_LIB= $(wildcard ../blosc/*.c)

# The list of executables
# Generated PNG (intermediate) files
SOURCES := $(wildcard *.c)
EXECUTABLES := $(patsubst %.c, %.exe, $(SOURCES))

# Support for internal LZ4 and LZ4HC
LZ4_DIR = ../internal-complibs/lz4-r119
CFLAGS += -DHAVE_LZ4 -I$(LZ4_DIR)
BLOSC_LIB += $(wildcard $(LZ4_DIR)/*.c)

# Support for external LZ4 and LZ4HC
#LDFLAGS += -DHAVE_LZ4 -llz4

# Support for internal Snappy
#SNAPPY_DIR = ../internal-complibs/snappy-1.1.1
#CFLAGS += -DHAVE_SNAPPY -I$(SNAPPY_DIR)
#BLOSC_LIB += $(wildcard $(SNAPPY_DIR)/*.cc)

# Support for external Snappy
LDFLAGS += -DHAVE_SNAPPY -lsnappy

# Support for external Zlib
LDFLAGS += -DHAVE_ZLIB -lz

# Support for internal Zlib
#ZLIB_DIR = ../internal-complibs/zlib-1.2.8
#CFLAGS += -DHAVE_ZLIB -I$(ZLIB_DIR)
#BLOSC_LIB += $(wildcard $(ZLIB_DIR)/*.c)


.PHONY: all
all: $(EXECUTABLES)

test: $(EXECUTABLES)
	sh test_all.sh

%.exe: %.c $(BLOSC_LIB)
	$(CC) $(CFLAGS) $(LDFLAGS) "$<" $(BLOSC_LIB) -o "$@"

clean:
	rm -rf $(EXECUTABLES)

=== debian/changelog ===
pytables (3.2.2-2) unstable; urgency=medium

  * debian/patches
    - new 0005-fix-index-inheritance-order.patch to fix the
      inheritance order of the Index class (Closes: #818501)
  * debian/copyright
    - use unambiguous license naae (expat nstead of MIT)
    - fix LZ4 source code URL
  * debian/control
    - standard version bumped to 3.9.7 (no change required)
    - fix VCS URL
    - remove not necessary version numbers from build dependency
      specification
  * debian/patches
    - improved formatting of 0003-Never-use-the-msse2-flag-explicitly.patch
  * Fix typos in manpages

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 27 Mar 2016 08:22:15 +0000

pytables (3.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #800466)
  * debian/patches:
    - drop 0005-Fix-setitem-return-value.patch (applied upstream)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Oct 2015 16:33:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pytables
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
@@ -24,7 +23,7 @@
                python-numexpr-dbg,
                python3-numexpr,
                python3-numexpr-dbg,
-               cython (>= 0.14),
+               cython,
                cython-dbg,
                cython3,
                cython3-dbg,
@@ -33,21 +32,21 @@
                liblz4-dev (>= 0.0~r122),
                libsnappy-dev,
                libbz2-dev,
-               python-sphinx (>= 1.0.7+dfsg),
+               python-sphinx,
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-fonts-recommended,
                libjs-jquery-cookie
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pytables.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/pytables.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pytables.git
 Homepage: http://www.pytables.org
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-tables
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
          python-tables-lib (>= ${source:Version}),
@@ -80,7 +79,7 @@
 
 Package: python-tables-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
 Recommends: ${shlibs:Recommends},
@@ -110,7 +109,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
          python-tables (= ${source:Version}),
@@ -143,7 +142,7 @@
 
 Package: python3-tables
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
          python3-tables-lib (>= ${source:Version}),
@@ -176,7 +175,7 @@
 
 Package: python3-tables-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
 Recommends: ${shlibs:Recommends},
@@ -206,7 +205,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
          python3-tables (= ${source:Version}),
@@ -240,7 +239,7 @@
 Package: python-tables-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
          libjs-jquery-cookie
 Suggests: xpdf | pdf-viewer,
@@ -257,7 +256,7 @@
 
 Package: python-tables-data
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: hierarchical database for Python based on HDF5 - test data
  PyTables is a hierarchical database package designed to efficiently
  manage very large amounts of data. PyTables is built on top of the

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# Get the supported Python versions
PY2VERS = $(shell pyversions -r -v)
PY3VERS = $(shell py3versions -r -v)

LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D today=\"$(BILD_DATE)\"
SPHINXOPTS += -D html_last_updated_fmt=\"$(BUILD_DATE)\"

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS ?= -O0
endif

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  export HDF5_DIR := /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=python_distutils


build-python%:
	python$* setup.py build
	python$*-dbg setup.py build


override_dh_auto_build: $(PY3VERS:%=build-python%)
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) PWD=$(CURDIR) SPHINXOPTS="$(SPHINXOPTS)"
	$(MAKE) -C doc PWD=$(CURDIR) SPHINXOPTS="$(SPHINXOPTS)" latexpdf
	mv doc/build/latex/usersguide-*.pdf doc/usersguide.pdf
else
	$(MAKE) ANNOUNCE.txt
	$(MAKE) -C src all
	mkdir -p doc/html
	touch doc/usersguide.pdf
endif
	dh_auto_build --buildsystem=python_distutils


install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
	python$*-dbg setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb


override_dh_auto_install: $(PY3VERS:%=install-python%)
	dh_auto_install


override_dh_install:
	# Install everything excluding the *.so extensions to python(3)-tables
	dh_install -X"*.so" -X"*.h5" -X"*.xbm" -X"*.dat" -X"*.mat" "debian/tmp/usr/lib/python2*" -p python-tables
	dh_install -X"*.so" -X"*.h5" -X"*.xbm" -X"*.dat" -X"*.mat" "debian/tmp/usr/lib/python3*" -p python3-tables

	# Install the extensions to python(3)-tables-lib
	dh_install -X"*_d.so" "debian/tmp/usr/lib/python2*/*-packages/tables/*.so" -p python-tables-lib
	find debian/python-tables-lib -name '*_d.so' | xargs -r rm -f
	dh_install -X"*dmu.so" -X"*dm.so" "debian/tmp/usr/lib/python3*/*-packages/tables/*.so" -p python3-tables-lib
	find debian/python3-tables-lib -name '*.cpython-??dm-*.so' | xargs -r rm -f

	# Install the debug extensions to python(3)-tables-dbg
	dh_install "debian/tmp/usr/lib/python2*/*-packages/tables/*_d.so" -p python-tables-dbg
	dh_install "debian/tmp/usr/lib/python3*/*-packages/tables/*.cpython-??dm*.so" -p python3-tables-dbg

	# Continue with regular dh_install
	dh_install -p python-tables-doc
	dh_install -p python-tables-data

	# link data files
	for py in $(PY2VERS); do \
		for f in debian/tmp/usr/lib/python2*/*-packages/tables/tests/*.h5 \
		         debian/tmp/usr/lib/python2*/*-packages/tables/tests/*.mat; do \
			dh_link -p python-tables usr/share/python-tables/tests/$$(basename $$f) usr/lib/python$$py/dist-packages/tables/tests/$$(basename $$f); \
		done; \
		for f in debian/tmp/usr/lib/python2*/*-packages/tables/nodes/tests/*.h5 \
		         debian/tmp/usr/lib/python2*/*-packages/tables/nodes/tests/*.xbm \
		         debian/tmp/usr/lib/python2*/*-packages/tables/nodes/tests/*.dat; do \
			dh_link -p python-tables usr/share/python-tables/nodes/tests/$$(basename $$f) usr/lib/python$$py/dist-packages/tables/nodes/tests/$$(basename $$f); \
		done; \
	done

	for f in debian/tmp/usr/lib/python3*/*-packages/tables/tests/*.h5 \
	         debian/tmp/usr/lib/python3*/*-packages/tables/tests/*.mat; do \
		dh_link -p python3-tables usr/share/python-tables/tests/$$(basename $$f) usr/lib/python3/dist-packages/tables/tests/$$(basename $$f); \
	done
	for f in debian/tmp/usr/lib/python3*/*-packages/tables/nodes/tests/*.h5 \
	         debian/tmp/usr/lib/python3*/*-packages/tables/nodes/tests/*.xbm \
	         debian/tmp/usr/lib/python3*/*-packages/tables/nodes/tests/*.dat; do \
		dh_link -p python3-tables usr/share/python-tables/nodes/tests/$$(basename $$f) usr/lib/python3/dist-packages/tables/nodes/tests/$$(basename $$f); \
	done

	dh_numpy
	dh_numpy3
	# using override_dh_auto_test causes problems for dbg versions
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# https://github.com/PyTables/PyTables/issues/485
	mkdir -p $(CURDIR)/tmp-locales
	localedef -i /usr/share/i18n/locales/en_US -c -f UTF-8 \
		-A /usr/share/locale/locale.alias \
		$(CURDIR)/tmp-locales/en_US.UTF-8
	set -e -x; \
	for py in $(PY2VERS); do \
		cd $(CURDIR)/build/lib.*-$$py; \
		env PYTHONPATH=. \
			LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 \
			python$$py tables/tests/test_all.py -vvv; \
		cd $(CURDIR)/debian/tmp/usr/lib/python$$py/dist-packages; \
		env PYTHONPATH=. \
			LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 \
			python$$py-dbg tables/tests/test_all.py -vvv; \
	done
	set -e -x; \
	for py in $(PY3VERS); do \
		cd $(CURDIR)/build/lib.*-$$py; \
		env PYTHONPATH=. \
			LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 \
			python$$py tables/tests/test_all.py -vvv; \
		#cd $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages; \
		#env PYTHONPATH=. \
		#	LOCPATH=$(CURDIR)/tmp-locales LC_ALL=en_US.UTF-8 \
		#	python$$py-dbg tables/tests/test_all.py -vvv; \
	done
endif


override_dh_auto_clean:
	# Avoid unnecessary cythonization (see
	# https://github.com/PyTables/PyTables/issues/122)
	#dh_auto_clean --buildsystem=python_distutils
	$(MAKE) distclean
	rm -f doc/*.pdf


override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -ppython-tables-doc
	rm -f $(CURDIR)/debian/python-tables-doc/usr/share/doc/python-tables-doc/html/_static/jquery.cookie.js
endif


override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE_NOTES.txt


override_dh_compress:
	dh_compress -X.txt -X.pdf -X.py -X.h5


.PHONY: override_dh_auto_build override_dh_auto_install override_dh_auto_clean \
        override_dh_sphinxdoc override_dh_install \
        override_dh_installchangelogs override_dh_compress

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v\.(\d\S*)\.tar\.gz/PyTables-$1\.tar\.gz/ \
  https://github.com/PyTables/PyTables/tags .*/v\.(\d\S*)\.tar\.gz
